Subject: Re: [bug#41871] [PATCH 0/7] IcedTea: Build (efficiently) on aarch64-linux

From: Efraim Flashner <[email-masked]>
Date: Wed, 28 Oct 2020 10:51:03 +0200

On Mon, Sep 14, 2020 at 03:24:15PM +0200, Ricardo Wurmus wrote:
> 
> Hi Simon,
> 
> my apologies for the very long delay!
> 
> > This patch series applies a number of changes to the icedtea-6, -7 and -8
> > packages that allow them to build (efficiently) on aarch64-linux systems.
> >
> > It assumes the patches in issues 41748 and 41648 have already been applied, in
> > that order.
> >
> > With these three sets of patches I've been able to complete the entire Java
> > bootstrap process on both AArch64 and x86_64 and have successfully compiled
> > and run a Java application on AArch64 using OpenJDK 14.
> 
> This looks really great!  I have yet to read the patches in 41748 and
> 41648, but these patches here look good to me.
> 
> Thank you very much for working on this!
> 
> -- 
> Ricardo
> 

I had this on my TODO list for a while and I seem to have forgotten
about it. Since at least one of the patches was applied to staging I'm
testing them on staging now. Assuming no problems on x86_64 and aarch64
I'll go ahead and push them.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted